<div id="content">                        
<div class="wrap">
<script type="text/javascript">
$(document).ready(function() {
    /* Build the DataTable with third column using our custom sort functions */
    $("#test").dataTable( {
        "iDisplayLength": 10,
		 "aLengthMenu": [5,10,25,50,100],
		 "sPaginationType": "full_numbers", "aoColumns": [ { 
		 	"bSortable": false },   
			null, 
			null,
			null,
			null,
			null,
            null,
			null,
			null, { 
			"bSortable": false } ]});

    $("table.editable").on("click",".remove",function(){
        rRow = $(this).parents("tr");
        ID = $('td:first', $(this).parents('tr')).text(); 
        $("#row_delete").dialog("open");
    });
	
    $("table.editable").on("click",".edit",function(){
        rRow = $(this).parents("tr");
        ID = $('td:first', $(this).parents('tr')).text(); 
        $("#row_edit").dialog("open");
    });
    
    $("#row_edit").dialog({
        autoOpen: false,
        resizable: false,        
        modal: true,
        buttons: {
            "Continue...": function() {
				window.location.href = "cheque_add/"+ ID;		
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        }
    });    
    function remove_row(row){
 		$.ajax({
  			type: "POST",
  			url: "cheque_delete",
			data:"ID="+ID,
  			success: function(data){
                if(data == "success"){
                    row.remove();
    				alertbox('Row has been deleted...',1);
                }else{
                    alertbox('Error removing row...',2);
                }
			},
		});       // Here your ajax action after delete confirmed
    }
    $("#row_delete").dialog({
        autoOpen: false,
        resizable: false,        
        modal: true,
        buttons: {
            "Delete": function() {
                remove_row(rRow);
                $(this).dialog("close");
            },
            Cancel: function() {
                $(this).dialog("close");
            }
        }
    });    
}); 
function printbanklist(){
	var df = $('#selDateFrom').val();
	var dt = $('#selDateTo').val();
	window.open("<?php echo base_url();?>BankSetup/rptBank");
	
}
</script>
<div class="head">
	<div class="info">
							<!--<h1><?php echo element('compName', $this->session->userdata('logged_in')) ?> [ 
								<?php echo element('compNo', $this->session->userdata('logged_in')) ?> ]</h1>-->
			<ul class="breadcrumb">
            	<li><a href="#"><?php echo $this->lang->line('dashboard') ?></a> <span class="divider">-</span></li>
                <li><a href="#"><?php echo $this->lang->line('module') ?></a> <span class="divider">-</span></li>
                <li class="active"><?php echo $this->lang->line('titleunpresentedchk') ?></li>
            </ul>
	</div>
	<div class="search">
		<form action="<?php echo base_url() ?>admin/search" method="post">
			<input name="search_text" type="text" placeholder="search..."/>                                
            <button type="submit"><span class="i-magnifier"></span></button>
		</form>
	</div>                        
</div><!-- head --> 
<div class="content">
<div class="wrap">                    
	<div class="row-fluid">
		<div class="span12">
        	<div class="block">
            	<div class="head">
                	<h2><?php echo $this->lang->line('titleunpresentedchk') ?></h2>                    	
                    	<div class="side fr">                        	
                            <!-- <a href="" class="btn-form btn-success-form" name="updatePosting" onclick="printbanklist()">Print</a>  -->  
							<a href="cheque_add" class="btn-icon btn-mini btn-warning-form" title="New"><span class="i-plus-2"></span></a>
                        </div>                                        
                </div>
            	<div class="content np table-sorting">
            	<table cellpadding="0" cellspacing="0" width="100%" id="test" class="editable">
                	<thead>
                    <tr>
            			<th style="display:none"></th>
            			<th>#</th>
                        <th><?php echo $this->lang->line('transDate') ?></th>
            			<th><?php echo $this->lang->line('bank') ?></th>
                        <th><?php echo $this->lang->line('transNo') ?></th>
            			<th><?php echo $this->lang->line('description') ?></th>
            			<th><?php echo $this->lang->line('referenceNo') ?></th>
            			<th class="tar"><?php echo $this->lang->line('debit') ?></th>
            			<th class="tar"><?php echo $this->lang->line('credit') ?></th>
                		<th width="55" class="tac"><?php echo $this->lang->line('Action') ?></th>
            		</tr>
        			</thead>
       				 <tbody>
			<?php $bil = 0; 
			//var_dump($datatbls);
				if($datatbls){
				foreach($datatbls as $datatbl):
				$bil++?>
            	<tr>
                	<td style="display:none" ><?php echo $datatbl->ID; ?></td>
                	<td><?php echo $bil; ?></td>
                    <td><?php echo $datatbl->transDate; ?></td>                 
                	<td><?php echo $datatbl->bankName." (".substr($datatbl->acctCode,0,4).'-'.substr($datatbl->acctCode,4,3).'-'.substr($datatbl->acctCode,7).")"; ?></td>                	
                    <td><a title="Edit" class="btn btn-mini btn-link edit"><?php echo $datatbl->formNo; ?></a></td>
                	<td><?php echo $datatbl->desc; ?></td>
                	<td><?php echo $datatbl->referenceNo;?></td>
                	<td class="tar"><?php echo number_format($datatbl->debit,2);?></td>
                	<td class="tar"><?php echo number_format($datatbl->credit,2);?></td>
                    <td class="tac"><?php 
							
							$js = 'class="btn-icon btn-mini btn-danger-form remove" title="Delete"';
							echo form_button('remove','<span class="i-trashcan">',$js);
						?>
                    </td>
                </tr>
            <?php endforeach; }?>
					</tbody>
			</table>                                         
			</div>
</div>                                
</div>
</div>                                
</div>
</div>                                
</div>
</div>
<div class="dialog" id="row_delete" style="display: none;" title="Are you sure to Delete?">
    <p><?php echo $this->lang->line('message1') ?></p>
</div>   
<div class="dialog" id="row_edit" style="display: none;" title="Are you sure to Edit ?">
    <p><?php echo $this->lang->line('message2') ?></p>
</div>